HyperTrackDocs
Workers

List Ops Groups

Fetch all ops groups

GET
/workers/ops-groups/

Fetch all ops groups

Authorization

AuthorizationBasic <token>

In: header

Query Parameters

pagination_token?|

Identifier used to fetch the next page of data

include_deleted?boolean

Flag to include deleted ops groups

include_schedule?boolean

Flag to include ops group's schedule in the response.

limit?|

Number of ops groups to be sent in the response.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/workers/ops-groups/"
{  "ops_groups": [    {      "ops_group_handle": "san-jose-store",      "ops_group_label": "store",      "timezone": "America/Los_Angeles",      "route_start_location": "ops_group_home",      "route_completion_type": "manual",      "ops_group_home": {        "geometry": {          "type": "Point",          "coordinates": [            -121.94186,            37.3570534          ]        },        "address": "1709 Automation Pkwy, San Jose, CA 95101"      },      "objective_fn": "minimise_time",      "route_capacity": 10,      "route_max_distance": 20000,      "default_shift_start_time": "07:00",      "default_shift_end_time": "19:00",      "order_tracking_mode": "auto",      "shift_availability_mode": "auto",      "order_tracking_automation": {        "type": "manual"      }    },    {      "ops_group_handle": "santa-clara-store",      "ops_group_label": "store",      "timezone": "America/Los_Angeles",      "route_start_location": "ops_group_home",      "route_completion_type": "manual",      "ops_group_home": {        "geometry": {          "type": "Point",          "coordinates": [            -121.8871193,            37.3906152          ]        },        "address": "1601 Coleman Ave, Santa Clara, CA 95050"      },      "objective_fn": "minimise_time",      "route_capacity": 10,      "route_max_distance": 25000,      "default_shift_start_time": "07:00",      "default_shift_end_time": "19:00",      "order_tracking_mode": "manual",      "shift_availability_mode": "manual",      "order_tracking_automation": {        "type": "manual"      }    }  ],  "pagination_token": "cGFnaW5hdGlvbl90b2tlbg=="}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}